EMI 1 (Kebnekaise) - Update 9 (03.11.2011)

The Update contains:

  • minor releases of L&B, v. 3.1.0 and StoRM v. 1.8.0

L&B v. 3.1.0

What's new:

  • An initial release of a nagios plugin to check the operation of an L&B server
  • Documentation -- the Test Plan -- has been updated with a description of the Nagios Plugin and a simple test of the plugin's operation.

Deployment notes:

  • emi-lb metapackage is installed by yum.
  • yaim configuration requires, at the very least, setting MYSQL_PASSWORD, SITE_NAME and SITE_EMAIL in the site-info.def file.
  • Reconfiguration is required.
  • Reconfiguration using YAIM will restart the service automatically.
  • The emi-lb metapackage does not install the Nagios plugin. It (package emi-lb-nagios-plugins) can be installed separately.

Known Issues:

  • Due to faulty DNS over IPv6 resolution in the c-ares library (v. 1.6.0), L&B does not work in most scenarios involving IPv6-only machines. Upgrade c-ares to 1.7.3 and relaunch yaim to get full IPv6 functionality.
  • Background purge works and return code is handled correctly. It also results in a clean termination of a slave, though, which is currently reported by the master to syslog with priority 'Error' despite being harmless (The actual wording is 'Slave \d exited with return code 1'). This does not pose a problem, just a false alarm for a person reading the logs.

Updated Artefacts

Binary
emi-lb-nagios-plugins-1.0.0-1.sl5.noarch.rpm
Binary tarball
emi-lb-nagios-plugins-1.0.0-1.tar.gz
Sources RPM
emi-lb-nagios-plugins-1.0.0-1.sl5.src.rpm
Sources tarball
emi-lb-nagios-plugins-1.0.0-1.src.tar.gz

StoRM SE v.1.8.0

StoRM service is composed by 5 sub-components (4 servers and 1 client), which are deployable in distinguished hosts. This release represents the second update of StoRM-SE in EMI-1. The first release was v1.7.0 and the first update was v1.7.1. It includes updates on: FE, BE, DIP, YAIM and GridHTTPSP (plugin). There is also a new component, storm-xmlrpc-c, that is a repackage of XMLRPC-C package version 1.25.10. This package is used at runtime by FE. Client, GridFTP and GridHTTPS are the same of 1.7.1 release. Checksum service will be released soon.

StoRM-FrontEnd

What's new

  • Second update of storm-frontend-server in EMI-1. Server version is now 1.7.2-1.
  • Fixed bugs:
    • @158: "Storm frontend log contains debug information at INFO level"
    • @166: "Memory leak on BackEnd REST service calls"
      • @169: "xmlrpc-c sl5 distributed version has a memory leak that affects the FrontEnd"

Installation and configuration

  • To install storm-frontend-server, install its metapackage RPM: emi-storm-frontend-server-mp
  • To configure storm-frontend-server use yaim on node se_storm_frontend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_frontend

To upgrade storm-frontend-server:

  • stop the service,
  • yum update storm-frontend-server
  • service storm-frontend-server restart.

Known issues

  • None

StoRM-BackEnd-Server

What's new

  • First update of storm-backend-server rin EMI-1. Server version is 1.8.0-1.
  • Fixed bugs:
    • @146: "DIP get_size() incorrectly handles the info (kb insteadof bytes)"
    • @147: "!Glue2 GLUE2StorageShareCapacity* sizes always 0"
    • @148: "Available space reported by InfoService is always zero"
      • @149: "wrong yaim-storm version in the file /opt/glite/yaim/etc/versions/yaim-storm"
    • @150: "Wrong calculation of SA_AVAILABLE_SIZE_KB and SA_USED_SIZE_KB"
    • @151: "Missing check on variables initialization in config_gip_storm get_size"
    • @162: "!StoRM backend upgrade overwrites namespace.xml"
    • @164: "src BE rpm is wrong"
      • @167: "Backend service restart fail after host reboot"
      • @170: "mmlsquota output parsing error on "grace-period" field"
      • @179: "mysql-connector-java downloading failure"
      • @181: "StoRM backend age value reported bi srmPing is wrong"
  • New (minor) Feature:
    • @175: "Specify UsedSize at configuration-time"
    • @177: "Parsing of UsedSpace init file and update DB with values parsed"
    • @178: "Introduce YAIM variables and function to create used-space.ini"
      • @185: "logics of backend startup"
      • @187: "setting of the maximum number of open file descriptors"

Installation and configuration

  • To install storm-backend-server, install its metapackage RPM: emi-storm-backend-server-mp
  • To configure storm-backend-server use yaim on node se_storm_backend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_backend
  • If you configure other services with yaim on the same host always specify also se_storm_backend node

To upgrade storm-backend-server:

  • stop the service,
  • yum update storm-backend-server
  • service storm-backend-server restart.
  • restart all frontend-servers installed

Known issues

  • None

StoRM-GridFTP-Server

What's new

  • Nothing. This component is the same of the previous release. Server version is 1.1.0-6.

Installation and configuration

  • To install storm-gridftp-server, install its metapackage RPM: emi-storm-gridftp-server-mp
  • To configure storm-gridftp-server use yaim on node se_storm_gridftp. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_gridftp
  • The service needs to be installed on a machine on which storm file system is mounted.

Known issues

  • None

StoRM-GridHTTPS-Server

What's new

  • Nothing. This component is the same of the previous release. Server version is 1.0.4-1.

Installation and configuration

  • To install storm-gridhttps-server install its metapackage RPM: emi-storm-gridhttps-mp
  • To configure storm-gridhttps-server use yaim on node se_storm_gridhttps. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_gridhttps
  • The service uses ports 8443 and (by default) 8080, so open them on your firewall.
  • The service needs to be installed on a machine on which storm file system is mounted.

Known issues

  • None

StoRM-GridHTTPS-Plugin

What's new

  • This component is the same of the previous release, except for a bug fix on update.
  • Fixed bugs:
    • @154 "!GridHTTPs Plugin update removes the link to its jar from BackEnd jars folder"

Installation and configuration

  • This component is installed as a dependency of BE. You should not install it by yourself.

Known issues

  • None

StoRM-SRM-Client

What's new

  • Nothing. This component is the same of the previous release.

Installation and configuration

  • To install storm-srm-client, install its metapackage RPM: emi-storm-srm-client-mp

Known issues

  • None

StoRM-XMLRPC-C

What's new

  • This component is a repackaging of XMLRPC-C from sourceforge ( http://xmlrpc-c.sourceforge.net/ ).
  • The version repackaged is XMLRPC_1.25.10-1206.2181
  • The repackaging is needed because a memory leak occours in the release available with RH-SL5 repository.
  • See bug #735835 (submitted bug to RedHat and to XMLRPC-C development team)

Installation and configuration

  • This component is installed as a dependency of FE. You should not install it yourself.

Known issues

  • None

Documentation

What's new

  • Documentation is updated with the new release 1.8.0
  • Fixed bugs:
    • @141: Admin guide for EMI users (Installation and Configuration)

Updated Artefacts

Binary
emi-storm-backend-mp-1.0.0-3.sl5.x86_64.rpm
emi-storm-frontend-mp-1.0.0-2.sl5.x86_64.rpm
emi-storm-globus-gridftp-mp-1.0.0-4.sl5.x86_64.rpm
emi-storm-gridhttps-mp-1.0.0-2.sl5.x86_64.rpm
emi-storm-srm-client-mp-1.0.0-4.sl5.x86_64.rpm
storm-backend-server-1.8.0-1.sl5.x86_64.rpm
storm-frontend-server-1.7.2-2.sl5.x86_64.rpm
storm-globus-gridftp-server-1.1.0-6.sl5.x86_64.rpm
storm-gridhttps-plugin-1.0.3-2.sl5.noarch.rpm
storm-gridhttps-server-1.0.4-1.sl5.noarch.rpm
storm-srm-client-1.5.0-7.sl5.x86_64.rpm
storm-common-1.1.1-2.sl5.noarch.rpm
storm-dynamic-info-provider-1.7.4-1.sl5.noarch.rpm
yaim-storm-4.1.7-1.sl5.noarch.rpm
storm-xmlrpc-c-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-apps-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-c++-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-client++-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-client-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-debuginfo-1.25.10-1206.2181.sl5.x86_64.rpm
storm-xmlrpc-c-devel-1.25.10-1206.2181.sl5.x86_64.rpm
Binary tarball
storm-backend-server-1.8.0-1.sl5.x86_64.tar.gz
storm-frontend-server-1.7.2-2.sl5.x86_64.tar.gz
storm-globus-gridftp-server-1.1.0.tar.gz
storm-gridhttps-plugin-1.0.3-2.sl5.noarch.tar.gz
storm-gridhttps-server-1.0.4-1.sl5.noarch.tar.gz
storm-srm-client-1.5.0-7.sl5.x86_64.tar.gz
storm-common-1.1.1-2.tar.gz
storm-dynamic-info-provider-1.7.4-1.tar.gz
yaim-storm-4.1.7-1.tar.gz
Sources RPM
storm-backend-server-1.8.0-1.sl5.src.rpm
storm-frontend-server-1.7.2-2.sl5.src.rpm
storm-globus-gridftp-server-1.1.0-6.sl5.src.rpm
storm-gridhttps-plugin-1.0.3-2.sl5.src.rpm
storm-srm-client-1.5.0-7.sl5.src.rpm
storm-common-1.1.1-2.sl5.src.rpm
storm-dynamic-info-provider-1.7.4-1.sl5.src.rpm
yaim-storm-4.1.7-1.sl5.src.rpm
storm-xmlrpc-c-1.25.10-1206.2181.sl5.src.rpm
Sources tarball
storm-backend-server-1.8.0.src.tar.gz
storm-frontend-server-1.7.2-2.sl5.x86_64.src.tar.gz
storm-globus-gridftp-server-1.1.0.src.tar.gz
storm-srm-client-1.5.0-7.sl5.x86_64.src.tar.gz
storm-common-1.1.1-2.src.tar.gz
storm-dynamic-info-provider-1.7.4-1.src.tar.gz
yaim-storm-4.1.7-1.src.tar.gz
storm-xmlrpc-c-1.25.10-1206.2181.sl5.src.tar.gz

-- DoinaCristinaAiftimiei - 03-Nov-2011

Edit | Attach | Watch | Print version | History: r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r2 - 2011-11-03 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback